package cn.com.qmth.examcloud.test.pipeline;

import java.io.File;
import java.util.List;
import java.util.Objects;

import org.apache.commons.io.FileUtils;
import org.apache.commons.lang3.RandomUtils;

import cn.com.qmth.examcloud.commons.helpers.pipeline.NodeExecuter;
import cn.com.qmth.examcloud.commons.helpers.pipeline.Storer;
import cn.com.qmth.examcloud.commons.helpers.pipeline.TaskContext;

public class FileReaderExecuter implements NodeExecuter<String, String, String, String> {

	@Override
	public void execute(String key, String value, Storer<String, String> storer,
			TaskContext context) throws Exception {

		String path = (String) context.get("path");

		List<String> readLines = FileUtils.readLines(new File(path), "UTF-8");

		readLines.forEach(e -> {
			storer.putElement(Objects.toString(RandomUtils.nextLong()), e);
		});
	}

}
